Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Solana RPC
cURL
curl --request POST \ --url 'https://rpc-mainnet.solanatracker.io/?api_key=' \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": "db16f277-1a22-41ff-9f85-f37e2cd77900", "method": "getClusterNodes" } '
{ "jsonrpc": "2.0", "id": "db16f277-1a22-41ff-9f85-f37e2cd77900", "result": [ { "pubkey": "9QzsJf7LPLj8GkXbYT3LFDKqsj2hHG7TA3xinJHu8epQ", "gossip": "10.239.6.48:8001", "tpu": "10.239.6.48:8856", "rpc": "10.239.6.48:8899", "version": "1.0.0 c375ce1f", "featureSet": 123, "shredVersion": 123 } ] }
Runs the Solana RPC getClusterNodes method.
getClusterNodes
The JSON-RPC protocol version.
2.0
"2.0"
A unique identifier for the request.
"1"
The name of the RPC method to invoke.
"getClusterNodes"
Successfully retrieved cluster node information.
Identifier matching the request.
Comprehensive list of all discoverable Solana validator nodes currently participating in the network.
Show child attributes
此页面对您有帮助吗?